<?php
/*
*----------------------------phpMyBitTorrent V 2.0.4---------------------------*
*--- The Ultimate BitTorrent Tracker and BMS (Bittorrent Management System) ---*
*--------------   Created By Antonio Anzivino (aka DJ Echelon)   --------------*
*-------------               http://www.p2pmania.it               -------------*
*------------ Based on the Bit Torrent Protocol made by Bram Cohen ------------*
*-------------              http://www.bittorrent.com             -------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*--   This program is free software; you can redistribute it and/or modify   --*
*--   it under the terms of the GNU General Public License as published by   --*
*--   the Free Software Foundation; either version 2 of the License, or      --*
*--   (at your option) any later version.                                    --*
*--                                                                          --*
*--   This program is distributed in the hope that it will be useful,        --*
*--   but WITHOUT ANY WARRANTY; without even the implied warranty of         --*
*--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          --*
*--   GNU General Public License for more details.                           --*
*--                                                                          --*
*--   You should have received a copy of the GNU General Public License      --*
*--   along with this program; if not, write to the Free Software            --*
*-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA --*
*--                                                                          --*
*------------------------------------------------------------------------------*
*------              2005 phpMyBitTorrent Development Team              ------*
*-----------               http://phpmybittorrent.com               -----------*
*------------------------------------------------------------------------------*
*/
if (defined('IN_PMBT'))die ("You can't include this file");
define("IN_PMBT",true);
include("header.php");
////////////////////////////MOD ARCADE/////////////////////
$player = getuserid($btuser);
if(isset($_GET["act"]) AND $_GET["act"]=="Arcade")
{
  if($_POST['gname'] == "asteroids")
  {
 $game = 1;
 $level = 1;
 $score = $_POST['score'];
  }
  if($_POST['gname'] == "breakout")
  {
 $game = 2;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "hexxagon")
  {
 $game = 3;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "invaders")
  {
 $game = 4;
 $level = 1;
 $score = $_POST['score'];
  }
  if($_POST['gname'] == "moonlander")
  {
 $game = 5;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "pacman")
  {
 $game = 6;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "psol")
  {
 $game = 7;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "simon")
  {
 $game = 8;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "snake")
  {
 $game = 9;
 if($_POST['levelName'] == "LEVEL: SLUG")
 {
   $level = 1;
 }
 if($_POST['levelName'] == "LEVEL: WORM")
 {
   $level = 2;
 }
 if($_POST['levelName'] == "LEVEL: PYTHON")
 {
   $level = 3;
 }
 $score = $_POST['score'];
  }
  if($_POST['gname'] == "tetris")
  {
 $game = 10;
 $level = $_POST['level'];
 $score = $_POST['gscore'];
  }
$db->sql_query("INSERT INTO `".$db_prefix."_flashscores` ( `ID` , `game` , `user` , `level` , `score`, `date`) VALUES ( '', '".$game."', '".$player."', '".$level."', '".$score."', '" . get_date_time() . "');") OR DIE(MySQL_ERROR());
$urlc="flashscores.php";
 print("<html><head><meta http-equiv=refresh content='0;url=$urlc'></head></html>\n");
 die;
 
}
if (isset($has_newpm) AND $has_newpm) {
        OpenTable2(_btpm);
        echo "<h3>"._btyougotpm."</h3>";
        CloseTable2();

}
OpenTable(_btindex_video);
$query = "SELECT * FROM ".$db_prefix."_youtubevideo ORDER BY addtime";
$sql = $db->sql_query($query);
echo "<marquee  onMouseOver=\"this.stop();\" onMouseOut=\"this.start();\" width=\"100%\" direction=\"left\" loop=\"infinite\" scrollamount=\"2\">\n";
echo"<table border=\"1\">\n<tr>";
while ($row = $db->sql_fetchrow($sql)) {
$link = str_replace("http://youtube.com/v/","",$row["link"]);
$name = $row['name'];
echo"<td style=\"text-align: center;\">\n<a href=\"".$siteurl."/youtube.php?op=show&amp;video=".$row["link"]."\">\n<img title=\"".$name."\" src=\"http://i3.ytimg.com/vi/".$link."/default.jpg\" class=\"vimg120\" qlicon=\"".$link."\" alt=\"".$name."\">\n</a>\n<br />\n<p>$name</p>\n</td>\n";
}
echo"</tr>\n</table>\n";
echo "</marquee>\n";
CloseTable();
if ($user->user) {
include ("torrents-needseed.php");
}
if ($user->user AND $user->can_shout =="true")
{
include ("blocks/shoutbox.php");
}

if ($welcome_message != ""){
OpenTable(_btsitenews, '726');
$welcome_message = format_comment($welcome_message);
parse_smiles($welcome_message);
echo "<table width=\"100%\"><tr><td>".$welcome_message."</td></tr></table>";
CloseTable();
}
echo "<a name=\"infotracker\"></a>";
OpenTable(_btinfotracker, '728');
$legend = '<b>';
$sqlev = "SELECT name, color FROM ".$db_prefix."_levels";
$reslev = $db->sql_query($sqlev);
        while ($rowlev = $db->sql_fetchrow($reslev)) {
		$legend .='<a href="memberslist.php?mode=group&g='.$rowlev['name'].'" style="color: '.$rowlev['color'].'; font-weight: bold;">'.$rowlev['name'].'</a> ';
}
$legend .= '</b>';
$db->sql_freeresult($reslev);
$sql = "SELECT O.id AS id, O.page AS page, UNIX_TIMESTAMP(O.logged_in) AS logged_in, IF(U.name IS NULL, U.username, U.name) as name, U.donator AS donator, U.warned AS warned, U.can_do as can_do, U.level AS level, U.Show_online AS Show_online, U.uploaded as uploaded, U.downloaded AS downloaded FROM ".$db_prefix."_online_users O LEFT JOIN ".$db_prefix."_users U ON O.id = U.id WHERE UNIX_TIMESTAMP(NOW()-U.lastlogin) < 1800 AND U.Show_online = true;";
$res = $db->sql_query($sql);
$tot = $db->sql_numrows($res);
$i = 1;
$simple = "\n<p>";
$advanced = "<table border=\"1\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
$advanced .= "<thead><tr><td><p align=\"center\"><b>"._btusername."</b></p></td><td><p align=\"center\"><b>"._btratio."</b></p></td><td><p align=\"center\"><b>"._btpagename."</b></p></td><td><p align=\"center\"><b>"._btloggedinfor."</b></p></td></tr></thead>\n<tbody>\n";
$user_now = $db->sql_numrows($res);
if ($user_now == 0) $simple .= _btnouseronline;
else {
        while ($row = $db->sql_fetchrow($res)) {
		//if($row[id] == $user->id)break;
		if($row["donator"] == 'true')$donator = true;
		else
		$donator = false;
                $simple .= "<a href=\"user.php?op=profile&id=".$row["id"]."\"><font color=\"".getusercolor($row["can_do"])."\">";
                $simple .= htmlspecialchars($row["name"])."</font></a>";
                if ($row["level"] == "premium") $simple .= pic("icon_premium.gif",'','premium');
                elseif ($row["level"] == "moderator") $simple .= pic("icon_moderator.gif",'','moderator');
                elseif ($row["level"] == "admin") $simple .= pic("icon_admin.gif",'','admin');
				if($donator) $simple .= '<img src="images/donator.gif" height="16" width="16" title="donator" alt="donator" />';
		        if($row["warned"] == "1") $simple .= '<img src="images/warning.gif" title="warned" alt="warned" />';
                if ($i < $tot) $simple .= ", ";
                $i++;

                $advanced .= "<tr>";
                $advanced .= "<td><p><a href=\"user.php?op=profile&id=".$row["id"]."\"><font color=\"".getusercolor($row["can_do"])."\">";
                $advanced .= htmlspecialchars($row["name"])."</font></a>";
                if ($row["level"] == "premium") $advanced .= pic("icon_premium.gif",'','premium');
                elseif ($row["level"] == "moderator") $advanced .= pic("icon_moderator.gif",'','moderator');
                elseif ($row["level"] == "admin") $advanced .= pic("icon_admin.gif",'','admin');
				if($donator) $advanced .= '<img src="images/donator.gif" height="16" width="16" title="donator" alt="donator" />';
		        if($row["warned"] == "1") $advanced .= '<img src="images/warning.gif" title="warned" alt="warned" />';
                $advanced .= "</p></td>";

                if ($row["uploaded"] == 0 AND $row["downloaded"] == 0) $ratio = "---";
                elseif ($row["downloaded"] == 0) $ratio = "&infin;";
                else {
                        $ratio = $row["uploaded"]/$row["downloaded"];

                        if ($ratio < 0.1) $ratio = "<font color=\"#ff0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.2) $ratio = "<font color=\"#ee0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.3) $ratio = "<font color=\"#dd0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.4) $ratio = "<font color=\"#cc0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.5) $ratio = "<font color=\"#bb0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.6) $ratio = "<font color=\"#aa0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.7) $ratio = "<font color=\"#990000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.8) $ratio = "<font color=\"#880000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.9) $ratio = "<font color=\"#770000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 1)   $ratio = "<font color=\"#660000\">" . number_format($ratio, 2) . "</font>";
                        else $ratio = "<font color=\"#00FF00\">".  number_format($ratio, 2) . "</font>";
                }
                $advanced .= "<td><p>".$ratio."</p></td>";
                $advanced .= "<td><p>";
                if (defined("_btpage_".$row["page"])) $advanced .= constant("_btpage_".$row["page"]);
				else
				$advanced .= str_replace('.php','',$row['page']);
                $advanced .= "</p></td>";
                $advanced .= "<td><p>".mkprettytime(time()-$row["logged_in"])."</p></td>";
                $advanced .= "</tr>\n";	
        }
	$simple .="<br><br><p>Legend: ".$legend."</p><div style='font-size: 8pt;' align=\"center\"><a href=\"javascript:advanced();\">"._btadvancedmode."</a></div>";
        $simple .= "";
}
$advanced .= "</tbody></table>\n";
$db->sql_freeresult($res);

//Simple mode
echo "<div id=\"users_simple\" class=\"show\">";
echo $simple;
echo "</div>";

//Advanced mode
echo "<div id=\"users_advanced\" class=\"hide\">";
echo $advanced;
echo "<br><p>Legend: ".$legend."</p><div style='font-size: 8pt;' align=\"center\"><a href=\"javascript:simple();\">"._btsimplemode."</a></div>";
echo "</div>";
echo "<br><div><span class=\"genmed\"><p>"._btindex_legend."<b>$user_now</b>"._btindex_legend1."<strong>$most_users_online</strong> on $most_users_online_when</p></span></div>";
        echo "<p>";
        //Total users
        $sql = "SELECT COUNT(id) FROM ".$db_prefix."_users WHERE `active` = 1 AND UNIX_TIMESTAMP(lastlogin) > UNIX_TIMESTAMP(NOW()) - 86400;";
        $res = $db->sql_query($sql);
        list ($totuser) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_total24."</b> ".$totuser."<br />\n";
        //Total users
        $sql = "SELECT COUNT(id) FROM ".$db_prefix."_users WHERE `active` = 1 AND UNIX_TIMESTAMP(regdate) > UNIX_TIMESTAMP(NOW()) - 86400*7;";
        $res = $db->sql_query($sql);
        list ($totuser) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_register7."</b> ".$totuser."<br />\n";
        //Total users
        $sql = "SELECT COUNT(id) FROM ".$db_prefix."_users WHERE `active` = 1 AND UNIX_TIMESTAMP(regdate) > UNIX_TIMESTAMP(NOW()) - 86400;";
        $res = $db->sql_query($sql);
        list ($totuser) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_register24."</b> ".$totuser."<br />\n";
        //Total users
        $sql = "SELECT COUNT(id) FROM ".$db_prefix."_users;";
        $res = $db->sql_query($sql);
        list ($totuser) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_totalregister."</b> ".$totuser."<br />\n";
        //Total Torrents and their size
        $sql = "SELECT COUNT(id), SUM(size) FROM ".$db_prefix."_torrents;";
        $res = $db->sql_query($sql);
        list ($tottorrent, $totshare) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_totaltorrents."</b> ".$tottorrent."<br />\n";
        echo "<b>"._btindex_totalshare."</b> ".mksize($totshare)."<br />\n";
        //Total peers and their speed
        $sql = "SELECT COUNT(id), (SUM(upload_speed)+SUM(download_speed))/2 FROM ".$db_prefix."_peers;";
        $res = $db->sql_query($sql);
        list ($totpeers, $totspeed) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_totalpeers."</b> ".$totpeers."<br />\n";
        echo "<b>"._btindex_speed."</b> ".mksize($totspeed)."/s<br />\n";
        //Total seeders and total leechers
        $sql = "SELECT COUNT(id) FROM ".$db_prefix."_peers GROUP BY seeder ORDER BY seeder ASC;";
        $res = $db->sql_query($sql);
        list ($totseeders) = $db->sql_fetchrow($res);
        list ($totleechers) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_totalseeders."</b> ".$totseeders."<br />\n";
        echo "<b>"._btindex_totalleechers."</b> ".$totleechers."<br />\n";
        $sql = "SELECT COUNT(id) as cnt, client FROM ".$db_prefix."_peers WHERE client IS NOT NULL GROUP BY client ORDER BY cnt DESC LIMIT 1;";
        $res = $db->sql_query($sql);
        list ($cnt, $client) = $db->sql_fetchrow($res);
        $db->sql_freeresult($res);
        echo "<b>"._btindex_client."</b> ".$client." (".$cnt.")<br />\n";
        echo "</p>\n";
CloseTable();
include'blocks/newestmember_block.php';
include("poll.php");
//if($forumshare)include ("forumposts.php");
if($search_cloud)include('blocks/searchcloud.php');
/*OpenTable("last 10 uploads");
        $sql = "SELECT ".$db_prefix."_torrents.*, IF(".$db_prefix."_torrents.numratings < '".$minvotes."', NULL, ROUND(".$db_prefix."_torrents.ratingsum / ".$db_prefix."_torrents.numratings, 1)) AS rating, ".$db_prefix."_categories.name AS cat_name, ".$db_prefix."_categories.image AS cat_pic, U.username, IF(U.name IS NULL, U.username, U.name) as user_name, U.level as user_level FROM ".$db_prefix."_torrents LEFT JOIN ".$db_prefix."_categories ON category = ".$db_prefix."_categories.id LEFT JOIN ".$db_prefix."_users U ON ".$db_prefix."_torrents.owner = U.id WHERE banned = 'no' AND ".$db_prefix."_torrents.password IS NULL ORDER BY ".$db_prefix."_torrents.added DESC LIMIT 10;";
        $res = $db->sql_query($sql) or btsqlerror($sql);
        if ($db->sql_numrows($res) > 0) {
                torrenttable($res,"usertorrent");
        } else {
                OpenTable2();
                echo "<h3>"._btnotorrents."</h3>";
                CloseTable2();
        }
CloseTable();*/
include("footer.php");
?>